﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGridFixColumnsCase
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();

            XamGrid grid = new XamGrid();
            grid.AutoGenerateColumns = false;
            grid.SetBinding(XamGrid.ItemsSourceProperty, new System.Windows.Data.Binding("Data"));

            for (int i = 1; i <= 3; i++)
            {
                grid.Columns.Add(new TextColumn() { Key = "Label" + i.ToString() });
                grid.Columns.Add(new TextColumn() { Key = "Number" + i.ToString() });
            }            

            ((TextColumn)grid.Columns[1]).IsFixed = FixedState.Left;
            ((TextColumn)grid.Columns[4]).IsFixed = FixedState.Left;

            LayoutRoot.Children.Add(grid);




        }
    }
}
