﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGridFixColumnsCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 1; i < 15; i++)
            {
                Data.Add(new SampleData()
                {
                    Label1 = "Label " + i.ToString(),
                    Number1 = r.Next(10000),
                    Label2 = "Label2 " + i.ToString(),
                    Number2 = r.Next(10000),
                    Label3 = "Label3 " + i.ToString(),
                    Number3 = r.Next(10000)
                });
            }
        }
    }

    public class SampleData
    {
        public string Label1 { get; set; }
        public string Label2 { get; set; }
        public string Label3 { get; set; }
        public int Number1 { get; set; }
        public int Number2 { get; set; }
        public int Number3 { get; set; }
    }
}
